package com.heyu.api.data.service.impl.calca;
/**
* <p>
* 账户表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.calca.CalcaAccountDao;
import com.heyu.api.data.entity.calca.CalcaAccountEntity;
import com.heyu.api.data.service.calca.CalcaAccountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class CalcaAccountServiceImpl extends ServiceImpl<CalcaAccountDao, CalcaAccountEntity> implements CalcaAccountService {


    @Autowired
	private CalcaAccountDao calcaAccountDao;



	@Override
	public CalcaAccountEntity selectCalcaAccountById(Long id){
		return calcaAccountDao.selectCalcaAccountById(id);
	}



	@Override
	public Long insertCalcaAccount(CalcaAccountEntity calcaAccount){
		return calcaAccountDao.insertCalcaAccount(calcaAccount);
	}



	@Override
	public Long insertOrUpdateCalcaAccount(CalcaAccountEntity calcaAccount){
		return calcaAccountDao.insertOrUpdateCalcaAccount(calcaAccount);
	}



	@Override
	public int updateCalcaAccountById(CalcaAccountEntity calcaAccount){
		return calcaAccountDao.updateCalcaAccountById(calcaAccount);
	}



	@Override
	public int updateCoverCalcaAccountById(CalcaAccountEntity calcaAccount){
		return calcaAccountDao.updateCoverCalcaAccountById(calcaAccount);
	}



	@Override
	public int deleteCalcaAccountById(Long id){
		return calcaAccountDao.deleteCalcaAccountById(id);
	}

	@Override
	public CalcaAccountEntity selectCalcaAccountByUserName(String userName) {
		return calcaAccountDao.selectCalcaAccountByUserName(userName);
	}


}
